Table of Contents

Class: Group | Twisted-0.19.0/twisted/words/service.py
--- | ---
Base Classes |
--- | ---
styles.Versioned
Methods |
--- | ---
__getstate__ __init__ __repr__ addMember removeMember sendMessage setMetadata upgradeToVersion1
| __getstate__
    __getstate__ ( self )
| __init__
    __init__ ( self,  name )
| __repr__
    __repr__ ( self )
| addMember
    addMember ( self,  participant )
| removeMember
    removeMember ( self,  participant )
Exceptions |
--- | ---
NotInGroupError( self.name, participant.name )
| sendMessage
    sendMessage (
            self,
            sender,
            message,
            metadata,
            )
| setMetadata
    setMetadata ( self,  dict_ )
| upgradeToVersion1
    upgradeToVersion1 ( self )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:46 2002 by HappyDoc version 2.0